#pragma once

#include "cgp/cgp.hpp"
#include "key_positions_structure.hpp"
#include "dragon.hpp"

using namespace cgp;

// The entire hierarchy

struct dragons{
	cgp::hierarchy_mesh_drawable dragon_mesh;

	int N;

	std::vector<dragon> dragons_prop;
	
	void initialize_dragons();
	void add_dragon(vec3 new_pos, float _size, numarray<vec3> key_positions, numarray<float> key_times);
	void update_mvt();
};